06-03-2005	1.5.1 Release
		 - conformance/interfaces/aio_* and 
		   conformance/interface/lio_listio: add new cases and bug
		   fixes by Sebastien Decugis.
		 - add execute.sh by B. Thangaraju.

01-05-2005	1.5.0 Release

07-05-2004	1.4.3 Release

07-05-2004	adam.li@intel.com
		 - functional/schedule/1-1.c 1-2.c: New case by Abhijeet Bisain.
		 - stress/threads/pthread_cond_timedwait/stress1.c stress2.c: 
		   New case by Sebastien Decugis.
07-01-2004	adam.li@intel.com
		 - pthread_attr_setschedparam/1-3.c 1-4.c:
		   Add test cases by Abhijeet Bisain. 
		 - stress/threads/assertions.xml, 
		   stress/threads/pthread_cond_timedwait/: New case by Sebastien Decugis
06-29-2004	adam.li@intel.com
		 - pthread_attr_setinheritsched/2-3.c, 2-4.c
		 - functional/threads/condvar/, README:
		   Add test cases by Abhijeet Bisain. 
06-28-2004	adam.li@intel.com
		 - stress/threads/pthread_mutex_init/, pthread_mutex_lock/, 
		   pthread_cond_init/: Add stress/scalability cases by Sebastien Decugis
06-22-2004	adam.li@intel.com
		 - pthread_cond_destroy/speculative/4-1.c, pthread_mutex_destroy/
		   speculative/4-2.c, pthread_exit/3-1.c: 
		   Add new test case by Abhijeet Bisain
06-15-2004	adam.li@intel.com
		 - pthread_cond_init/1-2.c, 2-2.c,4-1.c 4-2.c: Add test case by
		   Sebastien Decugis.
		 - pthread_cancel/2-2.c, 2-3.c, 3-3.c: Add test case by 
		   Abhijeet Bisain.
06-11-2004	adam.li@intel.com
		 - pthread_cond_signal: Add Sebastien DECUGIS's patch
06-07-2004	adam.li@intel.com
		 - locate-test: Remove -printf argument for 'find' for POSIX conformant.
		 - Makefile: Remove --defined-only option for 'nm' for POSIX conformant.
		 - sched_yield/1-1.c: Fix warning on 64-bit system.
		 - pthread_attr_setstacksize/1-1.c, pthread_attr_getstacksize/1-1.c: 
		   Remove the output.
06-04-2004	adam.li@intel.com
		 - pthread_attr_getschedparam, pthread_attr_setschedparam: 
		   Add new case by Abhijeet Bisain.
                 - pthread_attr_s(g)etschedpolicy: Fix. Misuse perror.
06-02-2004	adam.li@intel.com
		 - clock_getres/7-1.c,8-1.c: Fix incorrect output, compile warning.
05-27-2004	adam.li@intel.com
		 - sigaction/21-1.c: Fix. Add missing posixtest.h
		 - pthread_rwlock_trylock/3-1.c: Moved to speculative.
05-27-2004	1.4.2 Release		 
05-24-2004      adam.li@intel.com
                 - mmap/13-1.c: Fix. mmap() will update st_atime().
                 - sigaction/9-1.c: Fix. Select not block.
                 - strftime/1-1.c: Fix. %B judgement is not correct.
                 - mmap/32-1.c: Fix. Change the scenario.
05-20-2004      adam.li@intel.com
                 - sched_yield/1-1.c: Fix. Incorrect thread return
                   status.
                 - Add test case by Sebastien
                   Decugis(sebastien.decugis@ext.bull.net)
                   pthread_mutex_unlock/5-1.c, 5-2.c
                 - pthread_mutexattr_settype/coverage.txt: Fix.
                 - behavior/signal.h/18-1.c,19-1.c,20-1.c,21-1.c: Fix 
                   struct stack_t, struct siginfo_t. 
05-13-2004	adam.li@intel.com
		 - Add case pthread_mutex_init/5-1.c,
		   pthread_mutex_init/speculative/5-2.c, 
		   pthread_mutex_lock/3-1.c, 4-1.c, 5-1.c 
		   by Sebastien Decugis(sebastien.decugis@ext.bull.net)
		 - sem_post/8-1.c: Fix. Will leave Zombie process if fail.
05-10-2004	adam.li@intel.com
		 - Apply Ulrich Drepper's patch:
		   sem_post/8-1.c: Add error check and clean up code
		   pthread_attr_getstackaddr/1-1.c: Fix printf format.
		   pthread_attr_setstack/2-1.c, pthread_attr_setstackaddr/2-1.c,
		   pthread_attr_setstacksize/2-1.c: define _GNU_SOURCE correctly.
05-09-2004	adam.li@intle.com
		 - Add cases pthread_mutex_init/1-2.c, 3-2.c, 5-3.c 
		   by Sebastien Decugis(sebastien.decugis@ext.bull.net)
05-01-2004	1.4.1 Release
04-30-2004	adam.li@intel.com 
		 - sigqueue/12-1.c: Use setuid() instead of seteuid()
		 - sigqueue/3-1.c: Same as above.
		 - shm_open/40-1.c: Remove it. This case cannot exit cleanly, 
		   leaving zombie processes.
		 - shm_open/33-1.c: Remove. Improper scenario.
		 - shm_open/23-1.c: Rewrite the test scenario.
		 - pthread_attr_setinheritsched/2-2.c: Bug fix
		 - pthread_attr_setinheritsched/5-1.c: Remove. Not correct.
		 - pthread_attr_setscope/5-1.c: Return PTS_UNTESTED
		 - sched_setparam/23-6.c: Fix the case. It was untested before.
		 - sched_setscheduler/17-5.c: make -1 as a invalid policy. 
		 - sched_setscheduler/20-1.c: Fix. It was untested before.
04-29-2004	adam.li@intel.com
		 - add mq_timedsend/16-1.c: Use CLOCK_REALTIME
		 - timer_getoverrun/2-3.c: Fix bug. It can pass on glibc now.
04-23-2004	adam.li@intel.com
		 - add mmap/11-4.c mmap/11-5.c
		 - mmap/11-2.c mmap/11-3.c: Misunderstand the spec. Fix.
04-22-2004	adam.li@intel.com
		 - pthread_mutexattr_settype/2-1.c: Bug fix
04-20-2004	adam.li@intel.com
		 - mmap/24-2.c 11-2.c 11-3.c: Bug fix
04-04-2004	1.4.0 Release
		- Add test cases to implement tags: CS, CPT, TCT.
		- Bug fix from Ulrich Drepper.
		- Tested on Linux kernel 2.6, and fixed bugs exposed.
04-30-2003	1.0.0 Release
		- Complete signals suite
		- Complete <sched.h> process scheduling suite
		- Snapshot of threads tests (most of the non-tag associated APIs)
		- Bug fixes in all areas (including adding "_POSIX_C_SOURCE=200112L" to 
		  the Makefile to make the actual test suite POSIX compliant)
		- Added QUICK-START document to top-level dir
		rolla.n.selbak REMOVE-THIS AT intel DOT com
03-21-2003	0.9.0 Release
		- More timers bug fixes
		- Complete semaphores suite (including bug fixes)
		- snapshot of signals tests (including bug fixes)
		- Complete message queues suite
		- Snapshot of threads tests (most of the non-tag associated APIs)
		- framework bug fixes.  Added the ./run_tests script.
		rolla.n.selbak REMOVE-THIS AT intel DOT com 
02-10-2003	0.2.0 Release
		- timers bug fixes
		- snapshot of semaphores tests
		- snapshot of signals tests
		- snapshot of threads tests
		- framework can build/run functional/stress tests
		julie.n.fleischer REMOVE-THIS AT intel DOT com
12-16-2002	0.1.0 Release
		- timers tests for TMR and CS tags (for timers)
		julie.n.fleischer REMOVE-THIS AT intel DOT com
				
